summaryrefslogtreecommitdiff
path: root/roles/installer/debian/preseed/templates/partman_early-command.sh.j2
diff options
context:
space:
mode:
authorChristian Pointner <equinox@spreadspace.org>2020-07-04 23:26:09 +0200
committerChristian Pointner <equinox@spreadspace.org>2020-07-04 23:26:09 +0200
commitceafa5b30eec02940c6a62526fa81c09d40b1b59 (patch)
treeaf076e4a9d7441cb051cafe600e85dd7274188f9 /roles/installer/debian/preseed/templates/partman_early-command.sh.j2
parentmove usb install role to installer/debian/ (diff)
parentinstall/preseed: convert old host configs to new partman layout (diff)
Merge branch 'topic/preseed-configurable-disk-layout-contd'
Diffstat (limited to 'roles/installer/debian/preseed/templates/partman_early-command.sh.j2')
-rw-r--r--roles/installer/debian/preseed/templates/partman_early-command.sh.j212
1 files changed, 12 insertions, 0 deletions
diff --git a/roles/installer/debian/preseed/templates/partman_early-command.sh.j2 b/roles/installer/debian/preseed/templates/partman_early-command.sh.j2
index 9c720e92..f13290e4 100644
--- a/roles/installer/debian/preseed/templates/partman_early-command.sh.j2
+++ b/roles/installer/debian/preseed/templates/partman_early-command.sh.j2
@@ -31,3 +31,15 @@ debconf-set grub-installer/bootdev "$disks"
## https://unix.stackexchange.com/questions/510445/install-grub-bootloader-dynamically-to-multiple-disks
. /usr/share/debconf/confmodule
db_fset grub-installer/bootdev seen true
+
+mkdir -p /lib/partman/not-enough-space.d/
+cat <<EOF > /lib/partman/not-enough-space.d/00-ansible
+#!/bin/sh
+
+. /usr/share/debconf/confmodule
+db_input critical partman-auto/autopartitioning_failed || true
+db_go || true
+
+exit 1
+EOF
+chmod +x /lib/partman/not-enough-space.d/00-ansible